## ros-rolling-mimick-vendor 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(mimick_vendor)

find_package(ament_cmake REQUIRED)

macro(build_mimick)

  set(cmake_commands)
  set(cmake_configure_args -Wno-dev)
  list(APPEND cmake_configure_args -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install)

  if(WIN32)
    if(DEFINED CMAKE_GENERATOR)
      list(APPEND cmake_configure_args -G ${CMAKE_GENERATOR})
    endif()
    if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "^(x86_|x86-|AMD|amd|x)64$")
      list(APPEND cmake_configure_args -A x64)
    endif()
  endif()

  if(DEFINED CMAKE_BUILD_TYPE)
    if(WIN32)
      build_command(_build_command CONFIGURATION ${CMAKE_BUILD_TYPE})
      list(APPEND cmake_commands "BUILD_COMMAND ${_build_command}")
    else()
      list(APPEND cmake_configure_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
    endif()
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND cmake_configure_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
    if(ANDROID)
      if(DEFINED ANDROID_ABI)
        list(APPEND cmake_configure_args "-DANDROID_ABI=${ANDROID_ABI}")
      endif()
      if(DEFINED ANDROID_CPP_FEATURES)
        list(APPEND cmake_configure_args "-DANDROID_CPP_FEATURES=${ANDROID_CPP_FEATURES}")
      endif()
      if(DEFINED ANDROID_FUNCTION_LEVEL_LINKING)
        list(APPEND cmake_configure_args "-DANDROID_FUNCTION_LEVEL_LINKING=${ANDROID_FUNCTION_LEVEL_LINKING}")
      endif()
      if(DEFINED ANDROID_NATIVE_API_LEVEL)
        list(APPEND cmake_configure_args "-DANDROID_NATIVE_API_LEVEL=${ANDROID_NATIVE_API_LEVEL}")
      endif()
      if(DEFINED ANDROID_NDK)
        list(APPEND cmake_configure_args "-DANDROID_NDK=${ANDROID_NDK}")
      endif()
      if(DEFINED ANDROID_STL)
        list(APPEND cmake_configure_args "-DANDROID_STL=${ANDROID_STL}")
      endif()
      if(DEFINED ANDROID_TOOLCHAIN_NAME)
        list(APPEND cmake_configure_args "-DANDROID_TOOLCHAIN_NAME=${ANDROID_TOOLCHAIN_NAME}")
      endif()
    endif()
  else()
    list(APPEND cmake_configure_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()

  include(ExternalProject)
  set(mimick_version "4c742d61d4f47a58492c1afbd825fad1c9e05a09")
  externalproject_add(mimick-${mimick_version}
    GIT_REPOSITORY https://github.com/ros2/Mimick.git
    GIT_TAG ${mimick_version}
    GIT_CONFIG advice.detachedHead=false
    # Suppress git update due to https://gitlab.kitware.com/cmake/cmake/-/issues/16419
    UPDATE_COMMAND ""
    TIMEOUT 6000
    ${cmake_commands}
    CMAKE_ARGS
      ${cmake_configure_args}
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
    USE_SOURCE_PERMISSIONS
  )

endmacro()

build_mimick()

ament_export_include_directories(include)
ament_export_libraries(mimick)
ament_export_dependencies(mimick)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# this ensures that the package has an environment hook setting the PATH
ament_package()

=== debian/changelog ===
ros-rolling-mimick-vendor (0.2.7-1focal) focal; urgency=high

  * Update maintainers to Geoffrey Biggs (#23 <https://github.com/ros2/mimick_vendor/issues/23>)
  * Update to latest commit for Apple M1 support (#20 <https://github.com/ros2/mimick_vendor/issues/20>)
  * Contributors: Audrow Nash, Christophe Bedard

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-mimick-vendor (0.2.6-1focal) focal; urgency=high

  * Always preserve source permissions in vendor packages (#19 <https://github.com/ros2/mimick_vendor/issues/19>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-mimick-vendor (0.2.5-1focal) focal; urgency=high

  * Suppress update of pinned git repository (#17 <https://github.com/ros2/mimick_vendor/issues/17>)
  * Don't overwrite -Wno-dev CMake argument (#18 <https://github.com/ros2/mimick_vendor/issues/18>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-mimick-vendor (0.2.4-1focal) focal; urgency=high

  * Add missing build tool dependency on 'git' (#16 <https://github.com/ros2/mimick_vendor/issues/16>)
  * Update tag for armv7l support. (#15 <https://github.com/ros2/mimick_vendor/issues/15>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-mimick-vendor (0.2.3-1focal) focal; urgency=high

  * Update tag for new cmake version requirement (#14 <https://github.com/ros2/mimick_vendor/issues/14>)
  * Export include directories (#13 <https://github.com/ros2/mimick_vendor/issues/13>)
  * Update package maintainers (#10 <https://github.com/ros2/mimick_vendor/issues/10>)
  * Contributors: Michel Hidalgo, Stephen Brawner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-mimick-vendor (0.2.2-1focal) focal; urgency=high

  * Suppress cppcheck for MMK_MANGLE_ (#8 <https://github.com/ros2/mimick_vendor/issues/8>)
  * Change Mimick tagged version. (#7 <https://github.com/ros2/mimick_vendor/issues/7>)
  * Contributors: Michel Hidalgo, brawner

 -- Jorge J. Perez <jjperez@ekumenlabs.com>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-mimick-vendor (0.2.1-1focal) focal; urgency=high

  * Change tag to pull latest Mimick version (#6 <https://github.com/ros2/mimick_vendor/issues/6>)
  * Contributors: Jorge Perez

 -- Jorge J. Perez <jjperez@ekumenlabs.com>  Wed, 05 Aug 2020 07:00:00 -0000

ros-rolling-mimick-vendor (0.2.0-1focal) focal; urgency=high

  * Pin Mimick version. (#5 <https://github.com/ros2/mimick_vendor/issues/5>)
  * Contributors: Michel Hidalgo

 -- Jorge J. Perez <jjperez@ekumenlabs.com>  Thu, 30 Jul 2020 07:00:00 -0000

ros-rolling-mimick-vendor (0.1.1-1focal) focal; urgency=high

  * Change imported dep to match ROS 2 fork (#4 <https://github.com/ros2/mimick_vendor/issues/4>)
  * Contributors: Jorge Perez

 -- Jorge J. Perez <jjperez@ekumenlabs.com>  Wed, 29 Jul 2020 07:00:00 -0000

ros-rolling-mimick-vendor (0.1.0-1focal) focal; urgency=high

  * Avoid CMAKE_BUILD_TYPE warnings on Windows. (#3 <https://github.com/ros2/mimick_vendor/issues/3>)
  * Remove dep tag + add maintainer(#2 <https://github.com/ros2/mimick_vendor/issues/2>)
  * Configure MSVC x64 builds when appropriate. (#1 <https://github.com/ros2/mimick_vendor/issues/1>)
  * First iteration vendor for Mimick library
  * Contributors: Jorge Perez, Michel Hidalgo

 -- Jorge J. Perez <jjperez@ekumenlabs.com>  Tue, 28 Jul 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-mimick-vendor
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: https://github.com/Snaipe/Mimick
Standards-Version: 3.9.2

Package: ros-rolling-mimick-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Wrapper around mimick, it provides an ExternalProject build of mimick.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-mimick-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-mimick-vendor 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(mimick_vendor)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

ament_vendor(mimick_vendor
  VCS_URL https://github.com/ros2/Mimick.git
  VCS_VERSION 6b08fa3fb91e490a8131903e4ea2480019854698
)

ament_export_dependencies(mimick)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-mimick-vendor (0.5.0-1jammy) jammy; urgency=high

  * Update to the comment that fixes the executable stack. (#32 <https://github.com/ros2/mimick_vendor/issues/32>)
  * Update to take advantage of TARGET_ARCH (#28 <https://github.com/ros2/mimick_vendor/issues/28>)
  * Contributors: Chris Lalancette, Michael Carroll

 -- Scott K Logan <scott@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-mimick-vendor (0.4.1-1jammy) jammy; urgency=high

  * Switch to ament_cmake_vendor_package (#31 <https://github.com/ros2/mimick_vendor/issues/31>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-mimick-vendor (0.4.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-mimick-vendor (0.3.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#29 <https://github.com/ros2/mimick_vendor/issues/29>)
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-mimick-vendor (0.3.1-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Scott K Logan <scott@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-mimick-vendor (0.3.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.8-1jammy) jammy; urgency=high

  * support pi zero (#24 <https://github.com/ros2/mimick_vendor/issues/24>)
  * Contributors: Brett Downing

 -- Scott K Logan <scott@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.7-1jammy) jammy; urgency=high

  * Update maintainers to Geoffrey Biggs (#23 <https://github.com/ros2/mimick_vendor/issues/23>)
  * Update to latest commit for Apple M1 support (#20 <https://github.com/ros2/mimick_vendor/issues/20>)
  * Contributors: Audrow Nash, Christophe Bedard

 -- Scott K Logan <scott@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.6-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#19 <https://github.com/ros2/mimick_vendor/issues/19>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.5-1jammy) jammy; urgency=high

  * Suppress update of pinned git repository (#17 <https://github.com/ros2/mimick_vendor/issues/17>)
  * Don't overwrite -Wno-dev CMake argument (#18 <https://github.com/ros2/mimick_vendor/issues/18>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 01 Feb 2021 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.4-1jammy) jammy; urgency=high

  * Add missing build tool dependency on 'git' (#16 <https://github.com/ros2/mimick_vendor/issues/16>)
  * Update tag for armv7l support. (#15 <https://github.com/ros2/mimick_vendor/issues/15>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.3-1jammy) jammy; urgency=high

  * Update tag for new cmake version requirement (#14 <https://github.com/ros2/mimick_vendor/issues/14>)
  * Export include directories (#13 <https://github.com/ros2/mimick_vendor/issues/13>)
  * Update package maintainers (#10 <https://github.com/ros2/mimick_vendor/issues/10>)
  * Contributors: Michel Hidalgo, Stephen Brawner

 -- Scott K Logan <scott@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.2-1jammy) jammy; urgency=high

  * Suppress cppcheck for MMK_MANGLE_ (#8 <https://github.com/ros2/mimick_vendor/issues/8>)
  * Change Mimick tagged version. (#7 <https://github.com/ros2/mimick_vendor/issues/7>)
  * Contributors: Michel Hidalgo, brawner

 -- Scott K Logan <scott@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.1-1jammy) jammy; urgency=high

  * Change tag to pull latest Mimick version (#6 <https://github.com/ros2/mimick_vendor/issues/6>)
  * Contributors: Jorge Perez

 -- Scott K Logan <scott@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-rolling-mimick-vendor (0.2.0-1jammy) jammy; urgency=high

  * Pin Mimick version. (#5 <https://github.com/ros2/mimick_vendor/issues/5>)
  * Contributors: Michel Hidalgo

 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 Jul 2020 00:00:00 -0000

ros-rolling-mimick-vendor (0.1.1-1jammy) jammy; urgency=high

  * Change imported dep to match ROS 2 fork (#4 <https://github.com/ros2/mimick_vendor/issues/4>)
  * Contributors: Jorge Perez

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Jul 2020 00:00:00 -0000

ros-rolling-mimick-vendor (0.1.0-1jammy) jammy; urgency=high

  * Avoid CMAKE_BUILD_TYPE warnings on Windows. (#3 <https://github.com/ros2/mimick_vendor/issues/3>)
  * Remove dep tag + add maintainer(#2 <https://github.com/ros2/mimick_vendor/issues/2>)
  * Configure MSVC x64 builds when appropriate. (#1 <https://github.com/ros2/mimick_vendor/issues/1>)
  * First iteration vendor for Mimick library
  * Contributors: Jorge Perez, Michel Hidalgo

 -- Scott K Logan <scott@openrobotics.org>  Tue, 28 Jul 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-mimick-vendor
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: https://github.com/Snaipe/Mimick
Standards-Version: 3.9.2

Package: ros-rolling-mimick-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Wrapper around mimick, it provides an ExternalProject build of mimick.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
